Bug 1468716 - [abrt] gnome-software: gs_app_list_index(): gnome-software killed by SIGSEGV
[abrt] gnome-software: gs_app_list_index(): gnome-software killed by SIGSEGV
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-software (Show other bugs)
24
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:d79ce6929db9c6ef112af2a27d1...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-07 13:33 EDT by David Strauss
Modified: 2017-08-08 15:51 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-08 15:51:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (47.78 KB, text/plain)
2017-07-07 13:33 EDT, David Strauss
no flags Details
File: cgroup (242 bytes, text/plain)
2017-07-07 13:33 EDT, David Strauss
no flags Details
File: core_backtrace (3.84 KB, text/plain)
2017-07-07 13:33 EDT, David Strauss
no flags Details
File: dso_list (19.19 KB, text/plain)
2017-07-07 13:33 EDT, David Strauss
no flags Details
File: environ (1.78 KB, text/plain)
2017-07-07 13:33 EDT, David Strauss
no flags Details
File: exploitable (82 bytes, text/plain)
2017-07-07 13:33 EDT, David Strauss
no flags Details
File: limits (1.29 KB, text/plain)
2017-07-07 13:33 EDT, David Strauss
no flags Details
File: maps (92.13 KB, text/plain)
2017-07-07 13:33 EDT, David Strauss
no flags Details
File: mountinfo (3.72 KB, text/plain)
2017-07-07 13:33 EDT, David Strauss
no flags Details
File: namespaces (102 bytes, text/plain)
2017-07-07 13:33 EDT, David Strauss
no flags Details
File: open_fds (4.08 KB, text/plain)
2017-07-07 13:33 EDT, David Strauss
no flags Details
File: proc_pid_status (1.27 KB, text/plain)
2017-07-07 13:33 EDT, David Strauss
no flags Details
File: var_log_messages (708 bytes, text/plain)
2017-07-07 13:33 EDT, David Strauss
no flags Details

  None (edit)
Description David Strauss 2017-07-07 13:33:28 EDT
Description of problem:
Refreshing updates while trying to open details of an existing (ready-to-install) update.

Version-Release number of selected component:
gnome-software-3.22.7-1.fc24

Additional info:
reporter:       libreport-2.7.2
backtrace_rating: 4
cmdline:        /usr/bin/gnome-software --gapplication-service
crash_function: gs_app_list_index
executable:     /usr/bin/gnome-software
global_pid:     1954
kernel:         4.11.6-101.fc24.x86_64
pkg_fingerprint: 73BD E983 81B4 6521
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (9 frames)
 #0 gs_app_list_index at gs-app-list.c:220
 #1 gs_shell_updates_reboot_failed_cb at gs-shell-updates.c:917
 #2 g_task_return_now at gtask.c:1107
 #3 g_task_return at gtask.c:1165
 #4 g_dbus_connection_call_done at gdbusconnection.c:5702
 #5 g_task_return_now at gtask.c:1107
 #6 complete_in_idle_cb at gtask.c:1121
 #10 g_main_context_iteration at gmain.c:3901
 #11 g_application_run at gapplication.c:2381
Comment 1 David Strauss 2017-07-07 13:33:31 EDT
Created attachment 1295365 [details]
File: backtrace
Comment 2 David Strauss 2017-07-07 13:33:32 EDT
Created attachment 1295366 [details]
File: cgroup
Comment 3 David Strauss 2017-07-07 13:33:33 EDT
Created attachment 1295367 [details]
File: core_backtrace
Comment 4 David Strauss 2017-07-07 13:33:34 EDT
Created attachment 1295368 [details]
File: dso_list
Comment 5 David Strauss 2017-07-07 13:33:35 EDT
Created attachment 1295369 [details]
File: environ
Comment 6 David Strauss 2017-07-07 13:33:35 EDT
Created attachment 1295370 [details]
File: exploitable
Comment 7 David Strauss 2017-07-07 13:33:36 EDT
Created attachment 1295371 [details]
File: limits
Comment 8 David Strauss 2017-07-07 13:33:37 EDT
Created attachment 1295372 [details]
File: maps
Comment 9 David Strauss 2017-07-07 13:33:38 EDT
Created attachment 1295373 [details]
File: mountinfo
Comment 10 David Strauss 2017-07-07 13:33:39 EDT
Created attachment 1295374 [details]
File: namespaces
Comment 11 David Strauss 2017-07-07 13:33:40 EDT
Created attachment 1295375 [details]
File: open_fds
Comment 12 David Strauss 2017-07-07 13:33:41 EDT
Created attachment 1295376 [details]
File: proc_pid_status
Comment 13 David Strauss 2017-07-07 13:33:41 EDT
Created attachment 1295377 [details]
File: var_log_messages
Comment 14 Fedora End Of Life 2017-07-25 20:26:27 EDT
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 15 Fedora End Of Life 2017-08-08 15:51:09 EDT
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.